#!/bin/bash
# This is installation for Ubuntu, for troubleshooting see https://docs.docker.com/engine/install/ubuntu/
# For other versions see https://docs.docker.com/engine/install/

# Remove old versions
sudo apt-get remove docker docker-engine docker.io containerd runc

# Install Docker prerequisites
sudo apt-get update
sudo apt-get install -y \
    ca-certificates \
    curl \
    gnupg \
    lsb-release

# Add key
sudo mkdir -p /etc/apt/keyrings
curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo gpg --dearmor -o /etc/apt/keyrings/docker.gpg

# Add repo
echo \
  "deb [arch=$(dpkg --print-architecture) signed-by=/etc/apt/keyrings/docker.gpg] https://download.docker.com/linux/ubuntu \
  $(lsb_release -cs) stable" | sudo tee /etc/apt/sources.list.d/docker.list > /dev/null

# Install Docker stuff
sudo apt-get update
sudo apt-get -y install docker-ce docker-ce-cli containerd.io docker-compose-plugin

# Enable Docker for non-root execution for current user
sudo groupadd docker
sudo usermod -aG docker "$USER"

echo "Docker installation was successful. Restart the terminal."